![PythonBaseAppLdapExtension-Logo](python_base_app_ldap_extension/static/icons/icon-python-base-app-ldap-extension-128x128.png)

# Python Application Framework Extension `python_base_app_ldap_extension`

## Overview

`python_base_app_ldap_extension` is an extension to `python_base_app` to provide LDAP login functionality. 
It is used by [LittleBrother](https://github.com/marcus67/little_brother).

The LDAP functionality used to be included in `python_base_app` but was later extracted since the dependencies of
this module contain PIP packages which need to be compiled.

## Change History 

See [here](https://github.com/marcus67/python_base_app_ldap_extension/blob/main/CHANGES.md)

## GitHub Status

<A HREF="https://github.com/marcus67/python_base_app_ldap_extension">
<IMG SRC="https://img.shields.io/github/forks/marcus67/python_base_app_ldap_extension.svg?label=forks"></A> 
<A HREF="https://github.com/marcus67/python_base_app_ldap_extension/stargazers">
<IMG SRC="https://img.shields.io/github/stars/marcus67/python_base_app_ldap_extension.svg?label=stars"></A> 
<A HREF="https://github.com/marcus67/python_base_app_ldap_extension/watchers">
<IMG SRC="https://img.shields.io/github/watchers/marcus67/python_base_app_ldap_extension.svg?label=watchers"></A> 
<A HREF="https://github.com/marcus67/python_base_app_ldap_extension/issues">
<IMG SRC="https://img.shields.io/github/issues/marcus67/python_base_app_ldap_extension.svg"></A> 
<A HREF="https://github.com/marcus67/python_base_app_ldap_extension/pulls">
<IMG SRC="https://img.shields.io/github/issues-pr/marcus67/python_base_app_ldap_extension.svg"></A>

## Continuous Integration Status Overview

| Status              | Master                                                                                                                                                                                                                                                                                                                                                          | Release                                                                                                                                                                                   |
|:------------------- |:--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |:----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| CircleCI            | <A HREF="https://circleci.com/gh/marcus67/python_base_app_ldap_extension/tree/master"><IMG SRC="https://img.shields.io/circleci/project/github/marcus67/python_base_app_ldap_extension/master.svg?label=master"></A>                                                                                                                                            | <A HREF="https://circleci.com/gh/marcus67/python_base_app_ldap_extension/tree/release"><IMG SRC="https://img.shields.io/circleci/project/github/marcus67/python_base_app_ldap_extension/release.svg?label=release"></A> |
| Test Coverage       | <A HREF="https://codecov.io/gh/marcus67/python_base_app_ldap_extension/branch/master"><IMG SRC="https://img.shields.io/codecov/c/github/marcus67/python_base_app_ldap_extension.svg?label=master"></A>                                                                                                                                                          | <A HREF="https://codecov.io/gh/marcus67/python_base_app_ldap_extension/branch/release"><IMG SRC="https://img.shields.io/codecov/c/github/marcus67/python_base_app_ldap_extension/release.svg?label=release"></A>        | 
| Snyk Vulnerability  | <a href="https://snyk.io/test/github/marcus67/python_base_app_ldap_extension?targetFile=requirements.txt"><img src="https://snyk.io/test/github/marcus67/python_base_app_ldap_extension/badge.svg?targetFile=requirements.txt" alt="Known Vulnerabilities" data-canonical-src="https://snyk.io/test/github/marcus67/python_base_app_ldap_extension?targetFile=requirements.txt" style="max-width:100%;"></a> | not available                                                                                                                                                                             |
| Snyk Package Health | not available                                                                                                                                                                                                                                                                                                                                                   | [![python-base-app-ldap-extension](https://snyk.io/advisor/python/python-base-app-ldap-extension/badge.svg)](https://snyk.io/advisor/python/python-base-app-ldap-extension)                                                            |
| Codacy Code Quality | <a href="https://www.codacy.com/app/marcus67/python_base_app_ldap_extension?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=marcus67/python_base_app_ldap_extension&amp;utm_campaign=Badge_Grade"><img src="https://api.codacy.com/project/badge/Grade/8e10997a79fa4cefbcc4bc9a3b1571ea"/></a>                                                                                  | not available                                                                                                                                                                             |

Note: The vulnerability status is derived from the Python PIP packages found in `requirements.txt`.

## Caveats

The extension is far from perfect. Some major caveats are listed here and/or in the 
issue list on GitHub (see [here](https://github.com/marcus67/python_base_app_ldap_extension/issues)).
